import {environment} from '../../../../environments/environment';
import {Component, OnInit, OnDestroy} from '@angular/core';
import {NzMessageService} from 'ng-zorro-antd';
import {_HttpClient} from '@delon/theme';
import {HttpClient} from '@angular/common/http';
import * as moment from 'moment';
import {DeviceService} from '@business/services/http/device.service';

@Component({
  selector: 'pollution-management',
  templateUrl: './management.component.html',
  styleUrls: ['./management.component.less'],
  providers: [DeviceService]
})
export class PollutionManagementComponent implements OnInit, OnDestroy {

  constructor(
    private deviceService: DeviceService,
    private http: _HttpClient,
    public msg: NzMessageService,
    private http2: HttpClient) {
  }

  _dataSet = [];

  ngOnInit() {
    this.changeSensorKey('e1');
  }

  changeSensorKey(sensorKey) {
    const params = {sensorKey: sensorKey, dimension: 'monitorPoint', areaCode: '320583'};
    this.http2.get(environment.SERVER_BASH_URL + 'demo/pollution', {params: params}).subscribe((res: any) => {
      this._dataSet = res;
    });
  }

  ngOnDestroy(): void {
  }

  sort(sortName, sortValue) {
    this._dataSet = [
      ...(<any[]>this._dataSet).sort((a, b) => {
        if (a[sortName] > b[sortName]) {
          return (sortValue === 'ascend') ? 1 : -1;
        } else if (a[sortName] < b[sortName]) {
          return (sortValue === 'ascend') ? -1 : 1;
        } else {
          return 0;
        }
      })
    ];
  }
}
